Skip to main content
GET
Get user asset

Authorizations

API-Key
string
header
required

Your public API key. Identifies the partner making the request.

API-Sign
string
header
required

HMAC signature over the request, computed with your private key.

API-Nonce
string
header
required

Monotonically increasing nonce included in the request signature.

Path Parameters

asset_type
enum<string>
required

Classification of the asset (fiat, crypto, stablecoin, or xstock).

Available options:
fiat,
crypto,
xstock,
stablecoin
asset_symbol
string
required

Ticker symbol of an asset (e.g., BTC, USDC, EUR).

Required string length: 1 - 16
user_id
string
required

Globally unique public identifier for a user.

Required string length: 14 - 42

Query Parameters

quote_symbol
string
default:USD

Ticker symbol of the quote asset for valuations.

Required string length: 1 - 16
quote_type
enum<string>
default:fiat

Classification of the quote asset. Pair with quote_symbol to disambiguate when the same ticker exists across asset classes.

Available options:
fiat

Response

Successful response

data
object
required

The requested asset.

quote_symbol
string
required

Quote asset symbol the prices are denominated in.

quote_type
enum<string>
required

Classification of the quote asset.

Available options:
fiat